=== debian/changelog ===
libsdl3-image (3.1.0+ds-2) unstable; urgency=medium

  * d/salsa-ci.yml: Add
  * d/p/nanosvg.h-update-from-mainstream.patch,
    d/p/Expand-PNG_COLOR_TYPE_GRAY_ALPHA-to-RGBA.patch,
    d/p/cmake-don-t-create-relocatable-packages-by-default-with-n.patch,
    d/p/update-README.txt-for-online-documentation-url.patch:
    Add some bug fixes from upstream

 -- Simon McVittie <smcv@debian.org>  Sun, 19 Jan 2025 17:25:27 +0000

libsdl3-image (3.1.0+ds-1) unstable; urgency=medium

  * New upstream preview release
  * d/libsdl3-image0.symbols: Update for ABI break.
    IMG_Init() and IMG_Quit() were removed.
  * Upload to unstable, now that we have a preview release.
    As with SDL3 itself, please note that this is not targeted for
    trixie at this stage (see #1086720).

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Jan 2025 16:25:24 +0000

libsdl3-image (3~git20241102~b1c8ec7+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 3.1.6 prerelease

 -- Simon McVittie <smcv@debian.org>  Mon, 04 Nov 2024 18:19:21 +0000

libsdl3-image (3~git20240925~6f45843+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 3.1.3 prerelease
  * d/control: Build-depend on a contemporary SDL3

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Oct 2024 18:05:52 +0100

libsdl3-image (3~git20240915~6f04db8+ds-1) experimental; urgency=medium

  * New upstream snapshot
    - d/control: (Build-)Depend on a corresponding libsdl3 snapshot

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Sep 2024 21:05:20 +0100

libsdl3-image (3~git20240828~0901204+ds-1) experimental; urgency=medium

  * New upstream snapshot
    - d/control: (Build-)Depend on a corresponding libsdl3 snapshot
  * d/rules: Update build option names
  * Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Sep 2024 21:29:19 +0100

libsdl3-image (3~git20240726~2a27018+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/control: (Build-)Depend on a corresponding libsdl3 snapshot
  * d/libsdl3-image0.symbols: Update
  * Update list of man pages to install

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Jul 2024 17:01:28 +0100

libsdl3-image (3~git20240508~ff62eb6+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL 3.1.2
    - Depend on a corresponding SDL3 prerelease
  * d/rules: Build man pages if and only if -doc package is built

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Jun 2024 14:52:12 +0100

libsdl3-image (3~git20240319~18b2816+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * Depend on a corresponding SDL3 prerelease
  * d/libsdl3-image0.symbols: Update (multiple ABI breaks)

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Mar 2024 18:42:55 +0000

libsdl3-image (3~git20240129~750f1c1+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/control: Build-depend on matching libsdl3-dev
  * d/libsdl3-image0.symbols: Update for AVIF writing support.
    It's part of the ABI, even though in this particular build, it will
    always fail at runtime.
  * d/rules: Explicitly enable features that we want enabled

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Jan 2024 10:08:45 +0000

libsdl3-image (3~git20240118~c47680c+ds-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Jan 2024 12:35:31 +0000

libsdl3-image (3~git20240115~6d91bf7+ds-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2024 18:10:36 +0000

libsdl3-image (3~git20240101~1a35931+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Tue, 02 Jan 2024 17:32:34 +0000

libsdl3-image (3~git20231130~25a57e2+ds-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Dec 2023 18:49:58 +0000

libsdl3-image (3~git20230930~e1e15ae+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/rules: Use package version instead of version from git

 -- Simon McVittie <smcv@debian.org>  Mon, 02 Oct 2023 14:52:56 +0100

libsdl3-image (3~git20230912~1053ea1+ds-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Sep 2023 18:20:27 +0100

libsdl3-image (3~git20230831~37a4b80+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/p/Update-test-template.test.in-for-build-system-changes.patch:
    Drop patch, applied upstream
  * d/.gitignore: Also ignore d/libsdl3-image-doc/

 -- Simon McVittie <smcv@debian.org>  Mon, 04 Sep 2023 11:51:43 +0100

libsdl3-image (3~git20230808~b298bad+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/gbp.conf: Stop filtering imported tarballs.
    Please use uscan instead, which will automatically produce a filtered
    +dfsg tarball based on debian/copyright.
  * d/.gitignore: Update for SDL3
  * d/watch: Use a +ds suffix for the orig tarball.
    To the best of my knowledge, everything we exclude is (meant to be)
    Free Software, we just don't want to keep track of files that are
    irrelevant to Debian (especially the vendored subprojects).
  * d/p/Update-test-template.test.in-for-build-system-changes.patch:
    Add patch to fix as-installed testing
  * d/rules: Re-enable XCF loading, fixed upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Aug 2023 20:03:02 +0100

libsdl3-image (3~git20230805~e141fec+dfsg-1) experimental; urgency=medium

  * New upstream snapshot
  * d/watch: Include the truncated sha1 in the version number.
    This makes it easier to keep track of which version we're packaging.
  * d/libsdl3-image-dev.install: Update for changed header name
  * d/control: Require a matching libsdl3-dev.
    The API is not stable, so we should only build combinations that are
    believed to work together.

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Aug 2023 20:46:01 +0100


