## libsdl3-image 3.1.1+ds

=== debian/changelog ===
libsdl3-image (3.1.1+ds-1) unstable; urgency=medium

  * New upstream release candidate
  * d/copyright: Update
  * d/patches: Drop patches, applied upstream
  * d/docs: README.txt was renamed to README.md

 -- Simon McVittie <smcv@debian.org>  Thu, 23 Jan 2025 18:49:55 +0000
