## libsdl3-image 3.2.0%2Bds

=== debian/changelog ===
libsdl3-image (3.2.0+ds-2) unstable; urgency=medium

  * d/control, d/copyright: Update upstream URLs
  * d/libsdl3-image0.symbols: Make all symbols generate a dependency
    on 3.2.0.
    We want to be sure that everything is using the stable 3.2.0 ABI,
    and not some earlier ABI from a development snapshot.
  * d/control: Require the stable version of SDL3

 -- Simon McVittie <smcv@debian.org>  Tue, 04 Feb 2025 13:08:29 +0000

libsdl3-image (3.2.0+ds-1) unstable; urgency=medium

  * New upstream stable release (Closes: #1093723)
  * d/watch: Fix handling of +ds suffix
  * d/watch: Only watch for stable releases

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Feb 2025 13:58:52 +0000
