=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Rules-Requires-Root: no
 Build-Depends: cmake (>= 3.16),
                debhelper-compat (= 13),
-               libsdl3-dev (>= 3.1.3~),
+               libsdl3-dev (>= 3.2.0),
                libjpeg-dev,
                libpng-dev,
                libtiff-dev,
@@ -15,7 +15,7 @@
                pkgconf,
                zlib1g-dev
 Standards-Version: 4.7.0
-Homepage: https://www.libsdl.org/projects/SDL_image/
+Homepage: https://github.com/libsdl-org/SDL_image
 Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl3-image
 Vcs-Git: https://salsa.debian.org/sdl-team/libsdl3-image.git
 
@@ -39,7 +39,7 @@
 Depends: ${misc:Depends},
          libjpeg-dev,
          libpng-dev,
-         libsdl3-dev (>= 3.1.3~),
+         libsdl3-dev (>= 3.2.0),
          libsdl3-image0 (= ${binary:Version}),
          libtiff-dev,
          libwebp-dev,
