## libsdl3-image 3.2.4%2Bds

=== debian/changelog ===
libsdl3-image (3.2.4+ds-1) unstable; urgency=medium

  * New upstream stable release
  * d/p/Revert-Fixed-partial-alpha-in-ICO-and-CUR-images.patch:
    Remove workaround, no longer necessary
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 04 Mar 2025 10:00:27 +0000

libsdl3-image (3.2.2+ds-2) unstable; urgency=medium

  * Revert .ico, .cur alpha change pending investigation

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Mar 2025 19:32:32 +0000

libsdl3-image (3.2.2+ds-1) unstable; urgency=medium

  * New upstream stable release
  * d/control: Depend on SDL 3.2.6 as per CMakeLists.txt

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Mar 2025 11:03:01 +0000
