## libsdl3-image 3.2.4+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,16 @@
 cmake_minimum_required(VERSION 3.16...3.28)
+
+if(NOT DEFINED CMAKE_BUILD_TYPE)
+    set(cmake_build_type_undefined 1)
+endif()
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")
 
 # See docs/release_checklist.md
 set(MAJOR_VERSION 3)
-set(MINOR_VERSION 1)
-set(MICRO_VERSION 0)
-set(SDL_REQUIRED_VERSION 3.1.3)
+set(MINOR_VERSION 2)
+set(MICRO_VERSION 4)
+set(SDL_REQUIRED_VERSION 3.2.6)
 
 project(SDL3_image
     LANGUAGES C
@@ -28,6 +32,23 @@
     set(SDLIMAGE_ROOTPROJECT OFF)
 endif()
 
+# By default, configure in RelWithDebInfo configuration
+if(SDLIMAGE_ROOTPROJECT)
+    get_property(is_multi_config GLOBAL PROPERTY GENERATOR_IS_MULTI_CONFIG)
+    if(is_multi_config)
+        # The first item in CMAKE_CONFIGURATION_TYPES is the default configuration
+        if(DEFINED CMAKE_CONFIGURATION_TYPES AND "RelWithDebInfo" IN_LIST CMAKE_CONFIGURATION_TYPES)
+            list(REMOVE_ITEM CMAKE_CONFIGURATION_TYPES "RelWithDebInfo")
+            list(INSERT CMAKE_CONFIGURATION_TYPES 0 "RelWithDebInfo")
+            set(CMAKE_CONFIGURATION_TYPES "${CMAKE_CONFIGURATION_TYPES}" CACHE STRING "CMake configuration types" FORCE)
+        endif()
+    else()
+        if(cmake_build_type_undefined)
+            set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "CMake build type" FORCE)
+        endif()
+    endif()
+endif()
+
 set(SDLIMAGE_SAMPLES_DEFAULT ${SDLIMAGE_ROOTPROJECT})
 if(ANDROID)
     set(SDLIMAGE_SAMPLES_DEFAULT OFF)
@@ -67,6 +88,7 @@
 cmake_dependent_option(SDLIMAGE_INSTALL_CPACK "Create binary SDL3_image archive using CPack" ${SDLIMAGE_ROOTPROJECT} "SDLIMAGE_INSTALL" OFF)
 cmake_dependent_option(SDLIMAGE_INSTALL_MAN "Install man pages for SDL3_image" OFF "SDLIMAGE_INSTALL" OFF)
 cmake_dependent_option(SDLIMAGE_DEPS_SHARED "Load dependencies dynamically" ON PLATFORM_SUPPORTS_SHARED OFF)
+cmake_dependent_option(SDLIMAGE_RELOCATABLE "Create relocatable SDL_image package" "${MSVC}" SDLIMAGE_INSTALL OFF)
 option(SDLIMAGE_VENDORED "Use vendored third-party libraries" ${vendored_default})
 option(SDLIMAGE_WERROR "Treat warnings as errors" OFF)
 
@@ -277,6 +299,9 @@
     target_sources(${sdl3_image_target_name} PRIVATE
         src/version.rc
     )
+    if(MINGW)
+        target_link_options(${sdl3_image_target_name} PRIVATE -static-libgcc)
+    endif()
 endif()
 set_target_properties(${sdl3_image_target_name} PROPERTIES
     OUTPUT_NAME "SDL3_image"
@@ -299,38 +324,3 @@
             MACHO_CURRENT_VERSION "${DYLIB_CURRENT_VERSION}"
         )
         sdl_no_deprecated_errors(${sdl3_image_target_name})
-    endif()
-endif()
-if(SDLIMAGE_BUILD_SHARED_LIBS)
-    if(WIN32)
-        set_target_properties(${sdl3_image_target_name} PROPERTIES
-            PREFIX ""
-            DLL_NAME_WITH_SOVERSION FALSE
-        )
-    endif()
-else()
-    if(MSVC)
-        set_target_properties(${sdl3_image_target_name} PROPERTIES
-            OUTPUT_NAME "SDL3_image-static"
-        )
-    endif()
-endif()
-
-# Use `Compatible Interface Properties` to ensure a shared SDL3_image is built with a shared SDL3
-if(SDLIMAGE_BUILD_SHARED_LIBS)
-    set_property(TARGET ${sdl3_image_target_name} PROPERTY INTERFACE_SDL3_SHARED TRUE)
-    set_property(TARGET ${sdl3_image_target_name} APPEND PROPERTY COMPATIBLE_INTERFACE_BOOL SDL3_SHARED)
-endif()
-
-if(SDLIMAGE_BUILD_SHARED_LIBS)
-    sdl_target_link_options_no_undefined(${sdl3_image_target_name})
-endif()
-
-if(SDLIMAGE_BUILD_SHARED_LIBS)
-    # Make sure static library dependencies are built with -fPIC when building a shared SDL3_image
-    set(CMAKE_POSITION_INDEPENDENT_CODE ON)
-endif()
-
-set(install_license_names)
-macro(register_license NAME FILE)
-  list(APPEND install_license_names ${NAME})
