## libsdl3-image 3.2.6+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # See docs/release_checklist.md
 set(MAJOR_VERSION 3)
 set(MINOR_VERSION 2)
-set(MICRO_VERSION 4)
+set(MICRO_VERSION 6)
 set(SDL_REQUIRED_VERSION 3.2.6)
 
 project(SDL3_image
@@ -290,6 +290,8 @@
     SDL_BUILD_MINOR_VERSION=${MINOR_VERSION}
     SDL_BUILD_MICRO_VERSION=${MICRO_VERSION}
 )
+# Make sure SDL3's include directory comes first
+target_include_directories(${sdl3_image_target_name} PUBLIC $<TARGET_PROPERTY:SDL3::Headers,INTERFACE_INCLUDE_DIRECTORIES>)
 target_link_libraries(${sdl3_image_target_name} PUBLIC SDL3::Headers)
 if(SDLIMAGE_BUILD_SHARED_LIBS)
     target_link_libraries(${sdl3_image_target_name} PRIVATE SDL3::SDL3-shared)
@@ -318,9 +320,5 @@
         VERSION "${SO_VERSION}"
     )
     if(APPLE)
-        cmake_minimum_required(VERSION 3.17...3.28)
         set_target_properties(${sdl3_image_target_name} PROPERTIES
             MACHO_COMPATIBILITY_VERSION "${DYLIB_COMPAT_VERSION}"
-            MACHO_CURRENT_VERSION "${DYLIB_CURRENT_VERSION}"
-        )
-        sdl_no_deprecated_errors(${sdl3_image_target_name})
