=== test/CMakeLists.txt ===
--- 
+++ 
@@ -70,6 +70,9 @@
             TARGETS ${TARGET}
             DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}/installed-tests/${PROJECT_NAME}"
         )
+        if(MSVC)
+            SDL_install_pdb("${TARGET}" "${CMAKE_INSTALL_LIBEXECDIR}/installed-tests/${PROJECT_NAME}")
+        endif()
     endif()
 endfunction()
