=== debian/changelog ===
libsdl3-image (3.2.6+ds-1) unstable; urgency=medium

  * New upstream stable release
  * d/libsdl3-image-tests.install: Update for the new upstream release.
    The examples (or manual tests) are no longer installed to /usr/bin by
    upstream, so we don't need to move them.
  * d/watch*, d/source/lintian-overrides: Update to uscan format v5.
    Re-enable GPG signature checking since upstream is releasing signed
    tarballs again. They're only signed with a 1024-bit DSA key, but
    it's better than nothing.
  * d/control: Standards-Version: 4.7.3
    - Remove unnecessary Priority field
  * d/control: Remove unnecessary Rules-Requires-Root: no
  * Update Lintian override for #1115463

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Jan 2026 19:02:34 +0000
