## libsdl3-image 3.3.4%2Bds

=== debian/watch ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Upstream releases official source tarballs, so we use
 # those in preference to git tags
 Source: https://github.com/libsdl-org/SDL_image/tags
-Matching-Pattern: .*/releases/tag/(?:release)-?@ANY_VERSION@
+Matching-Pattern: .*/releases/tag/(?:prerelease|preview|release)-?@ANY_VERSION@
 Compression: xz
 Download-Url-Mangle: s#/tag/#/download/#;s#((?:prerelease|preview|release)-?@ANY_VERSION@)$#$1/SDL3_image-$2.tar.gz#
 Dversion-Mangle: s/[+~](?:ds|dfsg)[0-9]*$//;s/\+(?:git)?[0-9]+(?:\+g[0-9a-f]*)?$//
